<?
$infos=get_user_info();
$name=$_COOKIE['v_name'];
$nick=$_COOKIE['v_nick'];
$url=$infos['url'];

$nick_size=15;
$nick_len=mb_strlen($nick,'UTF8');
if($nick_len>9){$nick_size=13;}
$i=1;
while($i<2)
{
	$num=$num+$_POST['i'.$i];
	$i++;
}

if($num<10){$level='你是一个纯情而浪漫的人。你愿意为每一个恋人专一而用情，在一段感情失败后，你能很快地寻找另一段感情疗伤。';}
if($num>=10&&$num<20){$level='你是一个对恋人温柔体贴、无微不至的人。虽然你的内心总是对美好的、漂亮的东西抱有幻想，想象着自己被万人围绕，但是现实生活中你还是懂得珍惜身边所拥有的。';}
if($num>=20&&$num<30){$level='你会把自己的恋人照顾得服服帖帖的，然后把对方抓得牢牢的，确保对方对自己一心一意。在你心里觉得多和异性建立友谊也是一种荣誉，顺便给恋人制造危机感。';}
if($num>=30&&$num<40){$level='你是一个实质上不算花心的人，你对恋人真诚而痴情。但是你绝对不能忍受被恋人背叛，不然充满愤怒的你会选择同样的方式报复。';}
if($num>=40&&$num<50){$level='你是个很有魅力的人，异性朋友也不少，但是，其实你心里对朋友和恋人还是有界定的，绝不轻易发展暧昧。';}

$img_path='./imgs/hx_x1.png';
$img=getImgType($img_path);
$img=createImg($img,$nick,5,50,50,0,$nick_size,'a60','yahei');
$img=createImg($img,$level,10,70,19,0,12,'790','yahei');

$content='想知道你心底所埋藏的花心小秘密吗？一起进入测试吧！ #花心小秘密#：'.$url;
$rt_info=post_send($content,$img);